Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class DeploymentState

    java.lang.Object
      org.jboss.deployment.DeploymentState

All Implemented Interfaces:
  Serializable

public class DeploymentState
extends Object
implements Serializable

A type-safe enumeration for the status a DeploymentInfo may be in

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`static DeploymentState` | `CONSTRUCTED`
`static DeploymentState` | `CREATE_DEPLOYER`
`static DeploymentState` | `CREATE_SUBDEPLOYMENTS`
`static DeploymentState` | `CREATED`
`static DeploymentState` | `DESTROYED`
`static DeploymentState` | `FAILED`
`static DeploymentState` | `INIT_DEPLOYER`
`static DeploymentState` | `INIT_HAS_DEPLOYER`
`static DeploymentState` | `INIT_WAITING_DEPLOYER`
`static DeploymentState` | `INITIALIZED`
`static DeploymentState` | `START_DEPLOYER`
`static DeploymentState` | `START_SUBDEPLOYMENTS`
`static DeploymentState` | `STARTED`
`static DeploymentState` | `STOPPED`

Method Summary
`static DeploymentState` | `getDeploymentState(String state)` A factory to translate a string into the corresponding DeploymentState.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONSTRUCTED

    public static final DeploymentState CONSTRUCTED

### INIT_WAITING_DEPLOYER

    public static final DeploymentState INIT_WAITING_DEPLOYER

### INIT_HAS_DEPLOYER

    public static final DeploymentState INIT_HAS_DEPLOYER

### INIT_DEPLOYER

    public static final DeploymentState INIT_DEPLOYER

### INITIALIZED

    public static final DeploymentState INITIALIZED

### CREATE_SUBDEPLOYMENTS

    public static final DeploymentState CREATE_SUBDEPLOYMENTS

### CREATE_DEPLOYER

    public static final DeploymentState CREATE_DEPLOYER

### CREATED

    public static final DeploymentState CREATED

### START_SUBDEPLOYMENTS

    public static final DeploymentState START_SUBDEPLOYMENTS

### START_DEPLOYER

    public static final DeploymentState START_DEPLOYER

### STARTED

    public static final DeploymentState STARTED

### STOPPED

    public static final DeploymentState STOPPED

### DESTROYED

    public static final DeploymentState DESTROYED

### FAILED

    public static final DeploymentState FAILED

Method Detail

### getDeploymentState

    public static DeploymentState getDeploymentState(String state)

  A factory to translate a string into the corresponding DeploymentState.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.